<!-- -------------------- ./mgmt/doslist_page.html -------------------- -->

<nav class="navbar navbar-expand-lg navbar-expand-xl navbar-light bg-light">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mgtSearchBar"
            aria-expanded="false">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="mgtSearchBar">
        <span class="navbar-brand">Porte-documents: </span> <span class='badge badge-secondary'
                                                                  id='DosCnt'><?php echo count($this->DLIST); ?></span>
        <button role="button" class="btn my-btn-sm btn-primary"
                onclick="MgtCreateModal('<?php echo $this->URL->GetMgmtMethod('MgtCreate'); ?>')" data-toggle="tooltip"
                data-placement="top" title="Creer un nouveau Porte-Document">&nbsp;<i class="fas fa-plus-circle"></i>&nbsp;Nouveau
        </button>
        <!--  <button role="button" class="btn my-btn-sm btn-primary" onclick="AttachModal()" data-toggle="tooltip" data-placement="top" title="Attacher un porte-document">&nbsp;<i class="fas fa-paperclip "></i>&nbsp;Attacher</button> -->
        <ul class="navbar-nav mr-auto"></ul>
        <form class="form-inline my-2 my-lg-0">
            <div class="form-row align-items-center">
                <?php if ( @$this->NOTYPFILT != 1 ) : ?>
                <div class="col-auto">
                    <div class="input-group input-group-sm mb-1">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="inputGroup-sizing-sm"><i
                                    class="fas fa-filter"></i></span>
                        </div>
                        <select id="searchSTS" class="form-control" onchange="GlobalFilter()">
                            <option value="---">tous</option>
                            <!-- <option value="signall" <?php echo (@$this->SFILTR['FS']=="signall")?"selected":""; ?>>signature -- tous</option> -->
                            <option value="zign1"
                            <?php echo (@$this->SFILTR['FS']=="zign1")?"selected":""; ?>>signature en
                            préparation</option>
                            <option value="zign2"
                            <?php echo (@$this->SFILTR['FS']=="zign2")?"selected":""; ?>>signature en cours</option>
                            <option value="zign3"
                            <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
                            <option value="zign4"
                            <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
                            <option value="zign5"
                            <?php echo (@$this->SFILTR['FS']=="zign5")?"selected":""; ?>>signature partielle</option>
                        </select>
                    </div>
                </div>
                <?php endif; ?>
                <div class="col-auto">
                    <div class="input-group input-group-sm mb-1">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="inputGroup-sizing-sm"><i
                                    class="fas fa-search"></i></span>
                        </div>
                        <input type="text" class="form-control" aria-label="Small"
                               aria-describedby="inputGroup-sizing-sm" id="searchDoc"
                               placeholder="chercher porte-document" onkeyup="GlobalFilter()"
                               value="<?php echo @$this->SFILTR['FD']; ?>">
                    </div>
                </div>
                <div class="col-auto">
                    <div class="input-group input-group-sm mb-1">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
                        </div>
                        <input type="text" class="form-control" aria-label="Small"
                               aria-describedby="inputGroup-sizing-sm" id="searchMod"
                               placeholder="chercher date de modif" onkeyup="GlobalFilter()"
                               value="<?php echo @$this->SFILTR['FM']; ?>">
                    </div>
                </div>
                <div class="col-auto">
                    <div class="input-group input-group-sm mb-1">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-calendar-alt"></i></span>
                        </div>
                        <input type="text" class="form-control" aria-label="Small"
                               aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin"
                               onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
                    </div>
                </div>
            </div>
        </form>
    </div>
</nav>

<table id="dostable" class="table table-sm table-hover tablesorter">
    <thead>
    <tr class='thead'>
        <th>
            <div class="fr-checkbox-group fr-checkbox-group--sm">
                <input id="masterCheck" type="checkbox" name="masterCheck" onclick="ToggleCheck('dostable')">
                <label class="fr-label text-center" for="masterCheck">tout sélectionner</label>
            </div>
        </th>
        <th>&nbsp;nom</th>
        <th>&nbsp;statut</th>
        <th class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell">&nbsp;dernière modification</th>
        <th class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell">&nbsp;fin de vie</th>
        <th>&nbsp;actions</th>
    </tr>
    </thead>
    <tbody>
    <?php
include "tpl/func/disp_status.php";
foreach ($this->DLIST as $did => $pdata ) :
    $mode = $pdata['mode'];
    $elem = $pdata['data'];
    $stinf = GetStatusInfo($elem);
    ?>
    <tr class="datarow">
        <td>
            <div class="fr-checkbox-group fr-checkbox-group--sm">
                <input type="checkbox" class="selchk" id="<?php echo $did; ?>" name="<?php echo $did; ?>">
                <label class="fr-label" for="<?php echo $did; ?>">
                    <span class="hidden did">
                        <?php echo $did; ?>
                    </span>
                </label>
            </div>
        </td>

        <td><span class="dnam"><a
                href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>"><?php echo $elem['title']; ?></a></span>
        </td>
        <td><span class="hidden dsts"><?php echo $stinf['sts1']; ?></span><i
                class="fas fa-<?php echo $stinf['sts2']; ?>"></i>&nbsp;&nbsp;<span
                class="txtstatus"><?php echo $stinf['sts3']; ?></span></td>
        <td class="d-none d-sm-none d-md-none d-lg-table-cell d-xl-table-cell"><span
                class="dmod"><?php echo $elem['modified']; ?></span></td>
        <td class="d-none d-sm-none d-md-table-cell d-lg-table-cell d-xl-table-cell"><span
                class="deol"><?php echo $elem['endoflife']; ?></span></td>
        <td>
            <div>
                <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$did); ?>" role="button"
                   class="btn my-btn-xs btn-success" data-toggle="tooltip" data-placement="top" title="Visualiser"
                   target="doc">&nbsp;<i class="far fa-eye"></i>&nbsp;</a>
                <button type="button" class="btn my-btn-xs btn-warning" data-toggle="tooltip" data-placement="top"
                        title="Supprimer de la liste"
                        onclick="DetachModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">&nbsp;<i
                        class="far fa-minus-square"></i>&nbsp;
                </button>
                <?php if ( $mode == 'writer' ) { ?>
                <button type="button" class="btn my-btn-xs btn-danger" data-toggle="tooltip" data-placement="top"
                        title="Supprimer" onclick="DeleteModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">
                    &nbsp;<i class="far fa-trash-alt"></i>&nbsp;
                </button>
                <?php } ?>
            </div>
        </td>
    </tr>
    <?php
endforeach;
?>

    </tbody>
</table>

<div id="bottbutt">
    &nbsp;<i class="far fa-check-square"></i><i class="fas fa-long-arrow-alt-right"></i>&nbsp;
    <button type="button" class="btn my-btn-xs btn-primary" data-toggle="tooltip" data-placement="top"
            title="Faire signer les Porte-Documents" onclick="SigReqMultiple()">&nbsp;<i
            class="far fa-share-square"></i>&nbsp;faire signer&nbsp;
    </button>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Create  Modal -->
<div class="modal fade" id="ModalCreate" tabindex="-1" role="dialog" aria-labelledby="ModalCreateTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content" id="mgtcremodal"></div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Delete Modal -->
<div class="modal fade" id="ModalConfDel" tabindex="-1" role="dialog" aria-labelledby="ModalConfDelTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('Delete'); ?>"
                  target="_top">
                <div class="modal-header">
                    <h4 class="modal-title" id="ModalConfDelTitle"><i class="fas fa-trash-alt"></i>&nbsp;Supprimer ce
                        porte-documents ?</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="ModalConfDelBody">
                    <input id="md_imp_did" type="hidden" name="DID" value="">
                    <input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
                    <input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
                    <p class="text-error">
                        <em>Le porte-documents <span class='label label-default' id='md_tit_dnam'></span><br>et tout son
                            contenu seront détruit</em><br>
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
                    <button type="submit" class="btn btn-danger btn-sm"> OK</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Detach Modal -->
<div class="modal fade" id="ModalConfDetach" tabindex="-1" role="dialog" aria-labelledby="ModalConfDetachTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('Detach'); ?>"
                  target="_top">
                <div class="modal-header">
                    <h4 class="modal-title" id="ModalConfDetachTitle"><i class="fas fa-minus-square"></i>&nbsp;Détacher
                        ce porte-documents ?</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="ModalConfDetachBody">
                    <input id="mdt_imp_did" type="hidden" name="DID" value="">
                    <input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">
                    <input type="hidden" name="RUSERM" value="<?php echo $this->RUSERM; ?>">
                    <p class="text-error">
                        <em>Le porte-documents <span class='label label-default' id='mdt_tit_dnam'></span> ne sera pas
                            détruit<br>mais supprimé de la liste</em><br>
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
                    <button type="submit" class="btn btn-warning btn-sm"> OK</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Attach Modal -->
<div class="modal fade" id="ModalAttach" tabindex="-1" role="dialog" aria-labelledby="ModalAttachTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetMgmtMethod('AttachURL'); ?>"
                  target="_top">
                <div class="modal-header">
                    <h4 class="modal-title" id="ModalAttachTitle"><i class="fas fa-paperclip"></i>&nbsp;Attacher un
                        porte-document à votre liste</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="ModalAttachBody">
                    <input type="hidden" name="RUSERI" value="<?php echo $this->RUSERI; ?>">

                    <div class="alert alert-info" role="alert">Veuillez entrer l'URL d'accès au porte-document</div>

                    <div class="form-group row">
                        <label for="frm-dat" class="col-sm-2 col-form-label text-right"><em>URL:</em></label>
                        <div class="input-group col-sm-10">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-globe"></i></div>
                            </div>
                            <input type="text" class="form-control" value="" name="DOSURL" id="DOSURL">
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
                    <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- SigReq Modal -->
<div class="modal fade" id="ModalSigReq" tabindex="-1" role="dialog" aria-labelledby="ModalSigReqTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post"
                  action="<?php echo $this->URL->GetMgmtMethod('MultiSignReq'); ?>" target="_top">
                <div class="modal-header">
                    <h4 class="modal-title" id="ModalAttachTitle"><i class="fas fa-signature"></i>&nbsp;Demande de
                        signature</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="ModalAttachBody">

                    <ul>
                        <p><strong>Envoyer les porte-documents sélectionnés, par mail, au signataire</strong><br>
                            Les porte-documents passeront en état non modifiable jusqu'à la finalisation ou l'abandon du
                            processus de signature</p>
                    </ul>

                    <div class="card podoc-content">
                        <h5 class="card-title"><i class="far fa-user"></i>&nbsp;Demandeur</h5>
                        <div class="card-body">
                            <p class="text-success">Soyez prévenu une fois la signature effectuée</p>
                            <div class="form-group row">
                                <label for="frm-dat" class="col-sm-4 col-form-label text-right"><em>Adresse mail
                                    demandeur:</em></label>
                                <div class="input-group col-sm-8">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="fas fa-envelope"></i></div>
                                    </div>
                                    <input type="text" class="form-control" value="<?php echo $this->ASKER; ?>"
                                           name="SIGNASKR" id="SIGNASKR">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card podoc-content">
                        <h5 class="card-title"><i class="fas fa-user"></i>&nbsp;Signataire</h5>
                        <div class="card-body">
                            <p class="text-success">Adresse mail du signataire, cela servira à l'identification de ce
                                dernier en plus d'un code à usage unique envoyé par SMS.</p>

                            <div class="form-group row">
                                <label for="frm-dat" class="col-sm-4 col-form-label text-right"><em>Adresse mail
                                    signataire:</em></label>
                                <div class="input-group col-sm-8">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="fas fa-envelope"></i></div>
                                    </div>
                                    <input type="text" class="form-control" value="" name="SIGNMEL" id="SIGNMEL">
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="frm-dat" class="col-sm-4 col-form-label text-right"><em>Message pour le
                                    signataire:</em></label>
                                <div class="input-group col-sm-8">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="fas fa-comment-alt"></i></div>
                                    </div>
                                    <textarea class="form-control" value="" name="SIGNCOMM" id="SIGNCOMM"></textarea>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>

                <input id="did_imp_multi" type="hidden" name="SIGREQLIST">


                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Annuler</button>
                    <button type="submit" class="btn btn-primary btn-sm">Envoyer</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<!-- Empty Selection Modal -->
<div class="modal fade" id="ModalEmptySel" tabindex="-1" role="dialog" aria-labelledby="ModalEmptySelTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form class="form-horizontal" method="post">
                <div class="modal-header">
                    <h4 class="modal-title" id="ModalEmptySelTitle"><i class="fas fa-exclamation-triangle"></i>&nbsp;Attention
                        !</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="ModalEmptySelBody">
                    <p class="text-info">
                        <em>Vous n'avez selectionné aucun dossier !</em><br>
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">OK</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- -------------------------------------------------------------------- -->

<?php include "part_account_modal.html"; ?>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="/pub/jsext/jquery-3.3.1.min.js"></script>
<script src="/pub/jsext/popper.min.js"></script>
<script src="/pub/bootstrap/js/bootstrap.min.js"></script>
<script src="/pub/jsext/jquery_validate_fr.js"></script>
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>
<script src="/pub/jsext/bootstrap-datepicker.js"></script>

<!--  -->
<script src="/pub/jsint/multicheck.js"></script>
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
  $(document).ready(function () {
      $("#dostable").tablesorter({headers: {0: {sorter: false}, 5: {sorter: false}}, sortList: [[<?php
      echo
      $this->SVSORT;
        ?>]]
    } )
      ;
      GlobalFilter();
    }
  );
</script>

<script>
  $('[data-toggle="tooltip"]').tooltip();
  $('#dostable').on('sortEnd', function (event) {
    SortSave('MD', event.target.config.sortList);
  });
  $('[data-toggle="popover"]').popover();
</script>

</body>
</html>


